#
# spec file for package fmt
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define sover   5
Name:           fmt
Version:        5.3.0
Release:        lp150.2.1
Summary:        A formatting library for C++
License:        BSD-2-Clause
Group:          Development/Libraries/C and C++
URL:            http://fmtlib.net/
Source0:        https://github.com/fmtlib/fmt/archive/%{version}.tar.gz#/%{name}-%{version}.tar.gz
Source1:        baselibs.conf
BuildRequires:  cmake
BuildRequires:  gcc-c++
BuildRequires:  pkgconfig

%description
Fmt is a formatting library for C++. It can be used as an
alternative to (s)printf and IOStreams.

%package -n libfmt%{sover}
Summary:        A formatting library for C++
Group:          System/Libraries

%description -n libfmt%{sover}
Shared library for fmt, a formatting library for C++.

%package devel
Summary:        Development files for fmt, a formatting library
Group:          Development/Libraries/C and C++
Requires:       libfmt%{sover} = %{version}

%description devel
Development files for fmt, a formatting library for C++.

%prep
%setup -q

%build
%cmake -DCMAKE_INSTALL_INCLUDEDIR:PATH=%{_includedir}

%make_jobs

%install
%cmake_install

%check
# path needs to be exported otherwise unit tests will fail
export LD_LIBRARY_PATH=$LD_LIBRARY_PATH:%{buildroot}%{_libdir}
%ctest

%post -n libfmt%{sover} -p /sbin/ldconfig
%postun -n libfmt%{sover} -p /sbin/ldconfig

%files -n libfmt%{sover}
%if 0%{?sle_version} > 120200
%license LICENSE.rst
%else
%doc LICENSE.rst
%endif
%{_libdir}/libfmt.so.%{sover}*

%files devel
%doc ChangeLog.rst README.rst
%{_includedir}/%{name}
%{_libdir}/cmake/%{name}
%{_libdir}/libfmt.so
%{_datadir}/pkgconfig/%{name}.pc

%changelog
* Sat Jan 12 2019 Ferdinand Thiessen <rpm@fthiessen.de>
- Update to version 5.3.0:
  * Introduced experimental chrono formatting support
  * Added experimental support for emphasis
  (bold, italic, underline, strikethrough), colored output to a
  file stream, and improved colored formatting API
  * Added support for 4-bit terminal colors
  * Made std::string_view work as a format string
  * Added wide string support to compile-time format string checks
  * Made colored print functions work with wide strings
  * Introduced experimental Unicode support
  * Removed undocumented basic_fixed_buffer which has been
  superseded by the iterator-based API
  * Disallowed repeated leading zeros in an argument ID
  * Deprecated fmt::visit, parse_context, and wparse_context.
  Use fmt::visit_format_arg, format_parse_context, and
  wformat_parse_context instead.
- Removed upstream merged fix-fmt_pc.patch
* Thu Dec  6 2018 Jan Engelhardt <jengelh@inai.de>
- Do without em dashes in summaries.
* Thu Dec  6 2018 Luigi Baldoni <aloisio@gmx.com>
- Added baselibs.conf as source
* Fri Nov  9 2018 munix9@googlemail.com
- initial package for version 5.2.1
